
jQuery( document ).ready(function() {

	var Password = {
	 
	  _pattern : /[a-zA-Z0-9_\-\+\.]/,
	  
	  
	  _getRandomByte : function()
	  {
	    // http://caniuse.com/#feat=getrandomvalues
	    if(window.crypto && window.crypto.getRandomValues) 
	    {
	      var result = new Uint8Array(1);
	      window.crypto.getRandomValues(result);
	      return result[0];
	    }
	    else if(window.msCrypto && window.msCrypto.getRandomValues) 
	    {
	      var result = new Uint8Array(1);
	      window.msCrypto.getRandomValues(result);
	      return result[0];
	    }
	    else
	    {
	      return Math.floor(Math.random() * 256);
	    }
	  },
	  
	  generate : function(length)
	  {
	    return Array.apply(null, {'length': length})
	      .map(function()
	      {
	        var result;
	        while(true) 
	        {
	          result = String.fromCharCode(this._getRandomByte());
	          if(this._pattern.test(result))
	          {
	            return result;
	          }
	        }        
	      }, this)
	      .join('');  
	  }    
	    
	};


	jQuery('#wc_wintax_key').after("<input type='button' class='button-primary' value='API key generálás' id='wintax_api_key_button' />");

	jQuery('#wintax_api_key_button').click(function() {
		jQuery('#wc_wintax_key').val(Password.generate(32));
	});
});